Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.dtm.ref
Class DTMDefaultBaseIterators

    java.lang.Object
      |
      +--org.apache.xml.dtm.ref.DTMDefaultBase
            |
            +--org.apache.xml.dtm.ref.DTMDefaultBaseTraversers
                  |
                  +--org.apache.xml.dtm.ref.DTMDefaultBaseIterators

Direct Known Subclasses:
  DOM2DTM, DTMDocument, SAX2DTM

public abstract class DTMDefaultBaseIterators
extends DTMDefaultBaseTraversers

This class implements the traversers for DTMDefaultBase.

Constructor Summary
`DTMDefaultBaseIterators(DTMManager mgr, Source source, int dtmIdentity, DTMWSFilter whiteSpaceFilter, XMLStringFactory xstringfactory, boolean doIndexing)` Construct a DTMDefaultBaseTraversers object from a DOM node.

Method Summary
`DTMAxisIterator` | `getAxisIterator(int axis)` This is a shortcut to the iterators that implement the XPath axes.
`DTMAxisIterator` | `getTypedAxisIterator(int axis, int type)` Get an iterator that can navigate over an XPath Axis, predicated by the extended type ID.

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBaseTraversers
`getAxisTraverser`

Methods inherited from class org.apache.xml.dtm.ref.DTMDefaultBase
`appendChild, appendTextChild, dispatchCharactersEvents, dispatchToEvents, documentRegistration, documentRelease, dumpDTM, dumpNode, getAttributeNode, getDocument, getDocumentAllDeclarationsProcessed, getDocumentBaseURI, getDocumentEncoding, getDocumentRoot, getDocumentStandalone, getDocumentSystemIdentifier, getDocumentTypeDeclarationPublicIdentifier, getDocumentTypeDeclarationSystemIdentifier, getDocumentVersion, getDTMIDs, getElementById, getExpandedTypeID, getExpandedTypeID, getFirstAttribute, getFirstChild, getFirstNamespaceNode, getLastChild, getLevel, getLocalName, getLocalNameFromExpandedNameID, getManager, getNamespaceFromExpandedNameID, getNamespaceType, getNamespaceURI, getNextAttribute, getNextNamespaceNode, getNextSibling, getNode, getNodeName, getNodeNameX, getNodeType, getNodeValue, getOwnerDocument, getParent, getPrefix, getPreviousSibling, getStringValue, getStringValueChunk, getStringValueChunkCount, getUnparsedEntityURI, hasChildNodes, isAttributeSpecified, isCharacterElementContentWhitespace, isDocumentAllDeclarationsProcessed, isNodeAfter, isSupported, setDocumentBaseURI, setFeature, supportsPreStripping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTMDefaultBaseIterators

    public DTMDefaultBaseIterators(DTMManager mgr,
                                   Source source,
                                   int dtmIdentity,
                                   DTMWSFilter whiteSpaceFilter,
                                   XMLStringFactory xstringfactory,
                                   boolean doIndexing)

  Construct a DTMDefaultBaseTraversers object from a DOM node.
  Parameters:
    `mgr` - The DTMManager who owns this DTM.
    `domSource` - the DOM source that this DTM will wrap.
    `source` - The object that is used to specify the construction source.
    `dtmIdentity` - The DTM identity ID for this DTM.
    `whiteSpaceFilter` - The white space filter for this DTM, which may be null.
    `xstringfactory` - The factory to use for creating XMLStrings.
    `doIndexing` - true if the caller considers it worth it to use indexing schemes.

Method Detail

### getTypedAxisIterator

    public DTMAxisIterator getTypedAxisIterator(int axis,
                                                int type)

  Get an iterator that can navigate over an XPath Axis, predicated by the extended type ID. Returns an iterator that must be initialized with a start node (using iterator.setStartNode()).
  Parameters:
    `axis` - One of Axes.ANCESTORORSELF, etc.
    `type` - An extended type ID.
  Returns:
    A DTMAxisIterator, or null if the given axis isn't supported.

### getAxisIterator

    public DTMAxisIterator getAxisIterator(int axis)

  This is a shortcut to the iterators that implement the XPath axes. Returns a bare-bones iterator that must be initialized with a start node (using iterator.setStartNode()).
  Parameters:
    `axis` - One of Axes.ANCESTORORSELF, etc.
  Returns:
    A DTMAxisIterator, or null if the given axis isn't supported.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.